package cn.kk.spring_simple_operation.mapper;

import cn.kk.spring_simple_operation.entity.SyncProductPublish;
import cn.kk.spring_simple_operation.model.SkuVideoVO;
import cn.kk.spring_simple_operation.model.vo.BrandRecordStatisticsVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * sku销量详情 Mapper 接口
 * </p>
 *
 * @author guokunkun
 * @since 2024-12-25
 */
@Mapper
public interface SyncProductPublishMapper extends BaseMapper<SyncProductPublish> {

	List<SkuVideoVO> selectMotherSku();

	List<SkuVideoVO> selectChildSku();

	List<SyncProductPublish> selectMotherSku_2();

	List<SkuVideoVO> selectChildSku_2();

	List<SkuVideoVO> groupSkuSolarTerm_1(@Param("sku") String sku);

	List<SkuVideoVO> groupSkuSolarTerm_Q1Q2(@Param("sku") String sku);

	List<SkuVideoVO> planSkuForPublishSales(@Param("sku") String sku);

	List<BrandRecordStatisticsVo> selectBrandRecordStatistics(@Param("list") List<String> list);
}
